
Ruby - Feature #9303

Add unit test for chown method in test_fileutils.rb to test that it does not chmod recursively

12/26/2013 07:36 PM - vajrasky (Vajrasky Kok)

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 2.2.0   

Description

I was about to write unit test for FileUtils.chown_R then I realized that I needed to make sure FileUtils.chown does not chmod

recursively first. Here is the patch.

Associated revisions

Revision d76340fa68f36918b3c6eaff05bde74177f95c62 - 05/25/2014 12:58 AM - hsbt (Hiroshi SHIBATA)

test/fileutils/test_fileutils.rb: Added recursively chmod tests.

[Feature #9303][ruby-core:59325]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46091 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d76340fa - 05/25/2014 12:58 AM - hsbt (Hiroshi SHIBATA)

test/fileutils/test_fileutils.rb: Added recursively chmod tests.

[Feature #9303][ruby-core:59325]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46091 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/09/2014 12:19 PM - hsbt (Hiroshi SHIBATA)

- Tracker changed from Misc to Feature

#2 - 05/25/2014 12:58 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r46091.

test/fileutils/test_fileutils.rb: Added recursively chmod tests.

[Feature #9303][ruby-core:59325]

Files

improve_unit_test_chmod_non_recursive.patch 1.74 KB 12/26/2013 vajrasky (Vajrasky Kok)
